| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libdar::database_open_options Class Reference

options to open a database More...

`#include <database_options.hpp>`

## Public Member Functions
void | clear ()
void | set_partial (bool value)
| partial option More...
void | set_partial_read_only (bool value)
| partial and read only option More...
void | set_warn_order (bool value)
| warning about file ordering in database More...
bool | get_partial () const
bool | get_partial_read_only () const
bool | get_warn_order () const

## Detailed Description

options to open a database

Definition at line 43 of file database_options.hpp.

## Member Function Documentation

void libdar::database_open_options::set_partial | ( | bool | value | ) |
| inline

partial option

Parameters

  [in] | value | set to true to only load an manipulate database header

Note
  if value is set to true, the database loading is quick but only some database methods are available (see the database class documentation)

Definition at line 56 of file database_options.hpp.

void libdar::database_open_options::set_partial_read_only | ( | bool | value | ) |
| inline

partial and read only option

Parameters

  [in] | value | when set, the database is in partial mode and in read-only. It cannot be dumped or modified.

Note
  if value is set to true, all restriction found for partial mode apply, and in addition, the database cannot be dumped (written back to file)
  partial_read_only implies partial, but partial does not imply partial_readonly (it can be dumped but modification can only take place in the archive header)

Definition at line 65 of file database_options.hpp.

void libdar::database_open_options::set_warn_order | ( | bool | value | ) |
| inline

warning about file ordering in database

Parameters

  [in] | value | whether to warn when file chronological ordering does not respect the order of archives

Definition at line 71 of file database_options.hpp.

The documentation for this class was generated from the following file:

- database_options.hpp